Bug 16379 - [m32r] can't output large model function call of memcpy
[m32r] can't output large model function call of memcpy
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: target
3.4.1
: P2 normal
: 3.4.2
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-06 07:49 UTC by inaoka.kazuhiro
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host:
Target: m32r
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
Patch file (3.98 KB, patch)
2004-07-06 08:04 UTC, inaoka.kazuhiro
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description inaoka.kazuhiro 2004-07-06 07:49:58 UTC
command line:
m32r-linux-gnu-gcc -S -O -mmodel=large memcpy.c

memcpy.c:
#include <string.h>

void func (void *s1, const void *s2, size_t n)
{
  memcpy(s1,s2,n);
}

I expect the following output. (model large function call)

   seth r14,shigh(memcpy)
   add3 r14,r14,low(memcpy)
   jl r14

But it was. (model small or medium function call)

  bl memcpy
Comment 1 inaoka.kazuhiro 2004-07-06 08:04:05 UTC
Created attachment 6693 [details]
Patch file

Fixed this case.
Comment 2 Andrew Pinski 2004-07-07 14:37:54 UTC
Fixed.